"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasDistinctValue = void 0;
const lodash_1 = require("lodash");
const bson_equal_1 = require("./bson-equal");
const hasDistinctValue = (field, value) => {
    if (field === undefined) {
        return false;
    }
    if ((0, lodash_1.isPlainObject)(field)) {
        if ((0, lodash_1.has)(field, '$in')) {
            const inArray = field.$in;
            return (0, lodash_1.some)(inArray, (other) => {
                return (0, lodash_1.isEqualWith)(value, other, bson_equal_1.bsonEqual);
            });
        }
    }
    return (0, lodash_1.isEqualWith)(field, value, bson_equal_1.bsonEqual);
};
exports.hasDistinctValue = hasDistinctValue;
//# sourceMappingURL=has-distinct-value.js.map